Bug 47418 - grub.conf pointed at wrong partition (confused by FAT hibernation part)
grub.conf pointed at wrong partition (confused by FAT hibernation part)
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-05 10:22 EDT by Frank Sweetser
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-13 18:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Sweetser 2001-07-05 10:22:07 EDT
fdisk -l:

Disk /dev/hda: 240 heads, 63 sectors, 776 cylinders
Units = cylinkers of 15120 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1         2     15088+  a0  IBM Thinkpad hibernation
/dev/hda2   *         3       480   3613680    b  Win95 FAT32
/dev/hda3           481       508    211680   83  Linux
/dev/hda4           509       776   2026080    5  Extended
/dev/hda5           509       543    264568+  82  Linux swap
/dev/hda6           544       776   1761448+  83  Linux

hda1 is actually a small fat32 partition containing the magic hibernation
files.  hda2 is a win2k install, and hda6 is the linux install root. 
During install, this got made as grub.conf

title Red Hat Linux (2.4.5-10)
     root (hd0,5)
     kernel /boot/vmlinuz-2.4.5-10 ro root=/dev/hda6
title win2k
     chainloader +1

And since there's no way to manually edit which partition the installer
thinks I should boot, or even add in another entry, the only way to get
back into my win2k install is to edit the grub config by hand afterwards to
Comment 1 Jeremy Katz 2001-07-10 00:52:27 EDT
hmm... this is because parted is probing the disk and saying that it looks like
a FAT partition and it is bootable, so we should be able to boot it.  This isn't
terribly different from how things worked in previous releases, but we'll see if
we can improve the heuristics on this some more before release
Comment 2 Glen Foster 2001-07-13 18:06:45 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 3 Jeremy Katz 2001-07-18 21:57:04 EDT
Okay, added checking that the partition type looks "sane" before making it the
DOS choice to internal trees.  If you could test this with beta3 and reopen if
this is still a problem, I'd appreciate it.

Note You need to log in before you can comment on or make changes to this bug.